%
% De Gaston and Safonov's example
% with 3 non-repeated parametric uncertainties.
%
% See for further details:
% R.R.E. De Gaston and M.G. Safonov,
% "Exact calculation of the multiloop stability margin",
% IEEE Transactions on Automatic Control, vol. 33, n. 2, pp. 156-171, 1988.
%
clear;
%
A=[-4  0 -800  6400;
    1 -6    0     0;
    0  1    0     0;
    0  0    1   -10];
%
B=[80 -0.2 0  ;
    0  0  -0.3;
    0  0   0  ;
    0  0   0 ];
%
C=[0 0 -1 8;
   1 0  0 0;
   0 1  0 0];
%  
D=zeros(3);
%
sys_M=ss(A,B,C,D);
%
blk=[-1 0; -1 0; -1 0];
%
save degaston_safonov_m_delta sys_M blk;
