function tab=hypercube(n)
%
% call:  tab=hypercube(n)
%
% tab contains the 2^n vertices of the unit hypercube
% 
% tab(i,j) = jth coordinate (+/-1) of the ith vertex
%
% Skew Mu Toolbox - G. Ferreres and J.M. Biannic, Onera-DCSD Toulouse, France.
%
char1=[];
char2=[];
for i=1:n
  t=sprintf('for indic%i=[-1 1], indic(%i)=indic%i;',i,i,i);
  char1=[char1,t];
  char2=[char2,'end, '];
end
char3=sprintf('  index=index+1; tab(index,:)=indic; ');
char=[char1,char3,char2];
%
index=0;
tab=[];
eval(char);
