function ok=square_delta(blk)
%
% call:  ok=square_delta(blk)
%
% ok = 0 if Delta is non-square.
%
% The structure of Delta is described by blk.
%
% Skew Mu Toolbox - G. Ferreres and J.M. Biannic, Onera-DCSD Toulouse, France.
%
if nargin~=1 error('SQUARE_DELTA: 1 input argument'); end
%
ok=1;
blk=abs(blk);
for i=1:size(blk,1)
  n=blk(i,1);
  m=blk(i,2);
  if (m~=0)&(m~=n)
    ok=0;
    break;
  end
end
